ch.qos.logback.core.pattern

## Class SpacePadder

- java.lang.Object
- - ch.qos.logback.core.pattern.SpacePadder

    public class SpacePadder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SpacePadder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `leftPad(StringBuilder buf, String s, int desiredLength)`
`static void` `rightPad(StringBuilder buf, String s, int desiredLength)`
`static void` `spacePad(StringBuilder sbuf, int length)` Fast space padding method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpacePadder

    public SpacePadder()

### Method Detail

#### leftPad

    public static final void leftPad(StringBuilder buf,
                                     String s,
                                     int desiredLength)

#### rightPad

    public static final void rightPad(StringBuilder buf,
                                      String s,
                                      int desiredLength)

#### spacePad

    public static final void spacePad(StringBuilder sbuf,
                                      int length)

Fast space padding method.